%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% File for initializing simulation parameters
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% initialize velocity first to 0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
rhoU = zeros(Ny, Nx);  % x-velocity
rhoV = zeros(Ny, Nx);  % y-velocity 
U = zeros(Ny, Nx);  % x-velocity
V = zeros(Ny, Nx);  % y-velocity 
T = 293*ones(Ny, Nx);  % temperature 
p = (10^5)*ones(Ny, Nx);  % pressure
rho = 1*ones(Ny, Nx);  % density
rhoC = zeros(Ny, Nx);  % x-velocity

rker = 1e-3; xker = Lx/2; yker = Ly/2;  

C = zeros(Ny,Nx);  

rhoC = rho.*C;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Runge-Kutta 4 coefficients
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

a1= 1/6; a2 = 1/3; a3 = 1/3; a4 = 1/6;
b1=0.5; b2=0.5; b3=1; b4=1;
a=[a1 a2 a3 a4]; b=[b1 b2 b3 b4];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% indexing tables

inx = 2:(Nx-1); iny = 2:(Ny-1); 
north = [2:Ny 1];
east = [2:Nx 1]; 
south = [Ny 1:(Ny-1)]; 
west = [Nx 1:(Nx-1)];

rhoU = rho.*U;
rhoV = rho.*V;